Name:           gnome-calculator
Version:        3.30.1
Release:        3
Summary:        A GNOME desktop calculator application

License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/Calculator
Source0:        https://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz
Patch0000:      0001-Fix-compiler-errors.patch

BuildRequires:  desktop-file-utils gettext itstool libmpc-devel libsoup-devel meson mpfr-devel
BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gtk+-3.0) pkgconfig(gtksourceview-3.0) pkgconfig(libxml-2.0)
BuildRequires:  /usr/bin/appstream-util vala

Provides:  gcalctool = 6.6.2-3
Obsoletes: gcalctool < 6.6.2-3


%description
it is a powerful desktop calculator with logical, scientific
and financial modes. It uses a multi-precision package to
achieve a high degree of accuracy.

%package        help
Summary:        Documents for gnome-calculator
Requires:       man
BuildArch:      noarch

%description    help
Man pages for gnome-calculator.

%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang gnome-calculator --with-gnome --all-name


%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/org.gnome.Calculator.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.Calculator.desktop


%files -f gnome-calculator.lang
%license COPYING
%doc NEWS
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/gnome-shell/
%{_datadir}/icons/hicolor/scalable/apps/gnome-calculator-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/gnome-calculator.png
%{_datadir}/metainfo/org.gnome.Calculator.appdata.xml

%files help
%{_mandir}/man1/*


%changelog
* Wed June 10 2020 lizhenhua <lizhenhua21@huawei.com> - 3.30.1-3
- Add patch to fix compiler errors

* Wed Nov 27 2019 huyan <hu.huyan@huawei.com> - 3.30.1-2
- Package Initialization
